Skip to content

List Customer Documents

Required scope: customer_file:read

Use this endpoint to read the documents currently attached to a customer.

Generated Reference
POST /public-api/publicapi.v1.Customer/ListCustomerDocuments

Lists customer documents.

Request ListCustomerDocumentsRequest
Response ListCustomerDocumentsResponse

ListCustomerDocumentsRequest

Field Type
customer_id string
visibility CustomerFileVisibility

ListCustomerDocumentsResponse

Field Type
documents repeated CustomerDocument
{
"customerId": "be85f4d1-b680-4964-bf62-9828fdf4ce04",
"visibility": "PUBLIC_CUSTOMER_FILE_VISIBILITY_CUSTOMER"
}
{
"documents": [
{
"id": "cba8fef4-4fd2-4be6-af77-326e716ef130",
"customerId": "be85f4d1-b680-4964-bf62-9828fdf4ce04",
"visibility": "PUBLIC_CUSTOMER_FILE_VISIBILITY_CUSTOMER",
"originalFilename": "quote.pdf",
"contentType": "application/pdf",
"sizeBytes": 124991
}
]
}